#include <cstdint>
#include <vector>

#include "lloiff.hpp"

namespace llo::s1
{
    class dctor_base_t
    {
        std::vector< std::uint8_t > raw_img;
      public:
        static std::shared_ptr<dctor_base_t> begin( std::vector< std::uint8_t > &image );
        virtual bool generate( lloiff_t &iff );
    };
} // namespace llo::s1